//
// This file is part of an OMNeT++/OMNEST simulation example.
//
// Contributed by Nick van Foreest
//
// This file is distributed WITHOUT ANY WARRANTY. See the file
// `license' for details on this and other legal matters.
//

#ifndef __FIFO_H
#define __FIFO_H

#include <omnetpp.h>

class Fifo : public cSimpleModule
{
  public:
    Module_Class_Members(Fifo, cSimpleModule, 32768);

    cQueue kolejka;
    cMessage *zadanie;

    cOutVector czas_obslugi_wykr, liczba_zadan_wykr;

    virtual void activity();
    virtual void finish() { } ;
    virtual void obsluzZadanie(cMessage *);
};

#endif

