#include "fifo.h"

Define_Module( Fifo );

void Fifo::activity()
{
    kolejka.setName("kolejka");
    czas_obslugi_wykr.setName("czas obslugi zadan");
    liczba_zadan_wykr.setName("dlugosc kolejki zadan");

    for (;;)
    {	// jesli kolejka pusta czeka na zadanie, jesli nie - pobiera z kolejki
	if (kolejka.empty()) 
		zadanie = receive(); 
			
	else
		zadanie = (cMessage *)kolejka.pop();
		
	
	 
	obsluzZadanie(zadanie);
    }

}

void Fifo::obsluzZadanie(cMessage *zadanie)
{
	double czas_obslugi = (double) par("service_time") * ((double) zadanie->length());
  
	// osbluga biezacego zadania, nadchodzace w tym czasie zadania umieszczane sa w kolejce
	waitAndEnqueue(czas_obslugi, &kolejka);
	

	czas_obslugi_wykr.record( czas_obslugi ); // czas obslugi zadania
    liczba_zadan_wykr.record( kolejka.length() ); // liczba zadan w systemie - dlugosc kolejki

	zadanie->setKind(2);
	send(zadanie, "do_generatora");
}
